CmdMessenger 3.0 CmdMessenger is a serial port messaging library for the .Net / Mono Platform.

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Properties | Events
CommandMessenger.ConnectionManager Class Reference
Inheritance diagram for CommandMessenger.ConnectionManager:

List of all members.

## Public Member Functions
void | StartConnectionManager ()
| Start connection manager. Will set up thread, but will not start scanning.
void | StopConnectionManager ()
| Stop connection manager.
void | SetControlToInvokeOn (Control controlToInvokeOn)
| Sets a control to invoke on.
bool | ArduinoAvailable (int timeOut)
| Check if Arduino is available.
bool | ArduinoAvailable (int timeOut, int tries)
bool | Disconnect ()
| Disconnect from Arduino.
void | StartWatchDog ()
| Start watchdog. Will check if connection gets interrupted.
void | StopWatchDog ()
| Stop watchdog.
void | StopScan ()
| Stop scanning for devices.
void | StartScan ()
| Start scanning for devices.
void | Dispose ()
## Protected Member Functions
| ConnectionManager (CmdMessenger cmdMessenger, int challengeCommandId, int responseCommandId)
void | InvokeEvent (EventHandler eventHandler)
void | ConnectionFoundEvent ()
void | InvokeEvent< TEventHandlerArguments > (EventHandler< TEventHandlerArguments > eventHandler, TEventHandlerArguments eventHandlerArguments)
void | Log (int level, string logMessage)
virtual void | DoWorkScan ()
virtual void | Dispose (bool disposing)
## Protected Attributes
Control | ControlToInvokeOn
readonly CmdMessenger | CmdMessenger
ConnectionManagerStates | ConnectionManagerState
## Properties
bool | Connected`[get, set]`
long | WatchdogTimeOut`[get, set]`
long | WatchdogRetryTimeOut`[get, set]`
uint | MaxWatchdogTries`[get, set]`
## Events
EventHandler | ConnectionTimeout
EventHandler | ConnectionFound
EventHandler < ConnectionManagerProgressEventArgs > | Progress

## Member Function Documentation

bool CommandMessenger.ConnectionManager.ArduinoAvailable | ( | int | timeOut | ) |

Check if Arduino is available.

Parameters:

  timeOut | timout for waiting on response

Returns:
  Result. True if succesfull

Reimplemented in CommandMessenger.Bluetooth.BluetoothConnectionManager.

bool CommandMessenger.ConnectionManager.Disconnect | ( |  | ) |

Disconnect from Arduino.

Returns:
  true if sucessfully disconnected

Reimplemented in CommandMessenger.Bluetooth.BluetoothConnectionManager.

void CommandMessenger.ConnectionManager.SetControlToInvokeOn | ( | Control | controlToInvokeOn | ) |

Sets a control to invoke on.

Parameters:

  controlToInvokeOn | The control to invoke on.

Reimplemented in CommandMessenger.Bluetooth.BluetoothConnectionManager.

void CommandMessenger.ConnectionManager.StartConnectionManager | ( |  | ) |

Start connection manager. Will set up thread, but will not start scanning.

void CommandMessenger.ConnectionManager.StartScan | ( |  | ) |

Start scanning for devices.

Reimplemented in CommandMessenger.Bluetooth.BluetoothConnectionManager.

void CommandMessenger.ConnectionManager.StartWatchDog | ( |  | ) |

Start watchdog. Will check if connection gets interrupted.

void CommandMessenger.ConnectionManager.StopConnectionManager | ( |  | ) |

Stop connection manager.

void CommandMessenger.ConnectionManager.StopScan | ( |  | ) |

Stop scanning for devices.

Reimplemented in CommandMessenger.Bluetooth.BluetoothConnectionManager.

void CommandMessenger.ConnectionManager.StopWatchDog | ( |  | ) |

Stop watchdog.

Reimplemented in CommandMessenger.Bluetooth.BluetoothConnectionManager.

The documentation for this class was generated from the following file:

- D:/My Documents/Github/Arduino-Code-and-Libraries/Libraries/CmdMessenger/CSharp/CommandMessenger/ConnectionManager.cs